diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/spectrum-wifi-phy-test.cc ns-3.44/src/wifi/test/spectrum-wifi-phy-test.cc
--- ns-3.43/src/wifi/test/spectrum-wifi-phy-test.cc	2024-10-09 16:41:10.136656800 -0700
+++ ns-3.44/src/wifi/test/spectrum-wifi-phy-test.cc	2025-03-09 16:55:49.807372600 -0700
@@ -39,7 +39,7 @@
 NS_LOG_COMPONENT_DEFINE("SpectrumWifiPhyTest");
 
 static const uint8_t CHANNEL_NUMBER = 36;
-static const MHz_u CHANNEL_WIDTH = 20;
+static const MHz_u CHANNEL_WIDTH{20};
 static const MHz_u GUARD_WIDTH = CHANNEL_WIDTH; // expanded to channel width to model spectrum mask
 
 /**
@@ -58,8 +58,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId()
     {
@@ -73,7 +73,7 @@
     /**
      * Indicate whether the interference helper is in receiving state
      *
-     * \return true if the interference helper is in receiving state, false otherwise
+     * @return true if the interference helper is in receiving state, false otherwise
      */
     bool IsRxing() const
     {
@@ -85,9 +85,9 @@
     /**
      * Indicate whether a given band is tracked by the interference helper
      *
-     * \param startStopFreqs the start and stop frequencies per segment of the band
+     * @param startStopFreqs the start and stop frequencies per segment of the band
      *
-     * \return true if the specified band is tracked by the interference helper, false otherwise
+     * @return true if the specified band is tracked by the interference helper, false otherwise
      */
     bool IsBandTracked(const std::vector<WifiSpectrumBandFrequencies>& startStopFreqs) const
     {
@@ -105,10 +105,10 @@
 NS_OBJECT_ENSURE_REGISTERED(ExtInterferenceHelper);
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Spectrum Wifi Phy Basic Test
+ * @brief Spectrum Wifi Phy Basic Test
  */
 class SpectrumWifiPhyBasicTest : public TestCase
 {
@@ -117,7 +117,7 @@
     /**
      * Constructor
      *
-     * \param name reference name
+     * @param name reference name
      */
     SpectrumWifiPhyBasicTest(std::string name);
     ~SpectrumWifiPhyBasicTest() override;
@@ -128,31 +128,31 @@
     Ptr<SpectrumWifiPhy> m_phy; ///< Phy
     /**
      * Make signal function
-     * \param txPower the transmit power
-     * \param channel the operating channel of the PHY used for the transmission
-     * \returns Ptr<SpectrumSignalParameters>
+     * @param txPower the transmit power
+     * @param channel the operating channel of the PHY used for the transmission
+     * @returns Ptr<SpectrumSignalParameters>
      */
     Ptr<SpectrumSignalParameters> MakeSignal(Watt_u txPower,
                                              const WifiPhyOperatingChannel& channel);
     /**
      * Send signal function
-     * \param txPower the transmit power
+     * @param txPower the transmit power
      */
     void SendSignal(Watt_u txPower);
     /**
      * Spectrum wifi receive success function
-     * \param psdu the PSDU
-     * \param rxSignalInfo the info on the received signal (\see RxSignalInfo)
-     * \param txVector the transmit vector
-     * \param statusPerMpdu reception status per MPDU
+     * @param psdu the PSDU
+     * @param rxSignalInfo the info on the received signal (\see RxSignalInfo)
+     * @param txVector the transmit vector
+     * @param statusPerMpdu reception status per MPDU
      */
     void SpectrumWifiPhyRxSuccess(Ptr<const WifiPsdu> psdu,
                                   RxSignalInfo rxSignalInfo,
-                                  WifiTxVector txVector,
-                                  std::vector<bool> statusPerMpdu);
+                                  const WifiTxVector& txVector,
+                                  const std::vector<bool>& statusPerMpdu);
     /**
      * Spectrum wifi receive failure function
-     * \param psdu the PSDU
+     * @param psdu the PSDU
      */
     void SpectrumWifiPhyRxFailure(Ptr<const WifiPsdu> psdu);
     uint32_t m_count; ///< count
@@ -197,7 +197,7 @@
 
     auto psdu = Create<WifiPsdu>(pkt, hdr);
     const auto txDuration =
-        m_phy->CalculateTxDuration(psdu->GetSize(), txVector, m_phy->GetPhyBand());
+        SpectrumWifiPhy::CalculateTxDuration(psdu->GetSize(), txVector, m_phy->GetPhyBand());
 
     auto ppdu = Create<OfdmPpdu>(psdu, txVector, channel, m_uid++);
 
@@ -225,8 +225,8 @@
 void
 SpectrumWifiPhyBasicTest::SpectrumWifiPhyRxSuccess(Ptr<const WifiPsdu> psdu,
                                                    RxSignalInfo rxSignalInfo,
-                                                   WifiTxVector txVector,
-                                                   std::vector<bool> statusPerMpdu)
+                                                   const WifiTxVector& txVector,
+                                                   const std::vector<bool>& statusPerMpdu)
 {
     NS_LOG_FUNCTION(this << *psdu << rxSignalInfo << txVector);
     m_count++;
@@ -301,10 +301,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test Phy Listener
+ * @brief Test Phy Listener
  */
 class TestPhyListener : public ns3::WifiPhyListener
 {
@@ -397,10 +397,10 @@
 };
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Spectrum Wifi Phy Listener Test
+ * @brief Spectrum Wifi Phy Listener Test
  */
 class SpectrumWifiPhyListenerTest : public SpectrumWifiPhyBasicTest
 {
@@ -447,10 +447,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Spectrum Wifi Phy Filter Test
+ * @brief Spectrum Wifi Phy Filter Test
  */
 class SpectrumWifiPhyFilterTest : public TestCase
 {
@@ -459,7 +459,7 @@
     /**
      * Constructor
      *
-     * \param name reference name
+     * @param name reference name
      */
     SpectrumWifiPhyFilterTest(std::string name);
     ~SpectrumWifiPhyFilterTest() override;
@@ -481,8 +481,8 @@
 
     /**
      * Callback triggered when a packet is received by the PHYs
-     * \param p the received packet
-     * \param rxPowersW the received power per channel band in watts
+     * @param p the received packet
+     * @param rxPowersW the received power per channel band in watts
      */
     void RxCallback(Ptr<const Packet> p, RxPowerWattPerChannelBand rxPowersW);
 
@@ -495,8 +495,8 @@
 
 SpectrumWifiPhyFilterTest::SpectrumWifiPhyFilterTest()
     : TestCase("SpectrumWifiPhy test RX filters"),
-      m_txChannelWidth(20),
-      m_rxChannelWidth(20)
+      m_txChannelWidth(MHz_u{20}),
+      m_rxChannelWidth(MHz_u{20})
 {
 }
 
@@ -545,10 +545,10 @@
     }
 
     size_t numBands = rxPowersW.size();
-    auto expectedNumBands = std::max<std::size_t>(1, m_rxChannelWidth / 20);
-    expectedNumBands += (m_rxChannelWidth / 40);
-    expectedNumBands += (m_rxChannelWidth / 80);
-    expectedNumBands += (m_rxChannelWidth / 160);
+    auto expectedNumBands = std::max<std::size_t>(1, m_rxChannelWidth / MHz_u{20});
+    expectedNumBands += (m_rxChannelWidth / MHz_u{40});
+    expectedNumBands += (m_rxChannelWidth / MHz_u{80});
+    expectedNumBands += (m_rxChannelWidth / MHz_u{160});
     expectedNumBands += m_rxPhy
                             ->GetHeRuBands(m_rxPhy->GetCurrentInterface(),
                                            m_rxPhy->GetGuardBandwidth(
@@ -581,15 +581,15 @@
                           expectedTotalRxPower,
                           "Total received power is not correct");
 
-    if ((m_txChannelWidth <= m_rxChannelWidth) && (channelWidth >= 20))
+    if ((m_txChannelWidth <= m_rxChannelWidth) && (channelWidth >= MHz_u{20}))
     {
-        band = m_rxPhy->GetBand(20, 0); // primary 20 MHz
+        band = m_rxPhy->GetBand(MHz_u{20}, 0); // primary 20 MHz
         it = rxPowersW.find(band);
         NS_LOG_INFO("powerW in primary 20 MHz channel: " << it->second << " (" << WToDbm(it->second)
                                                          << " dBm)");
         const auto rxPowerPrimaryChannel20 = static_cast<int>(WToDbm(it->second) + 0.5);
         const auto expectedRxPowerPrimaryChannel20 =
-            16 - static_cast<int>(RatioToDb(channelWidth / 20));
+            16 - static_cast<int>(RatioToDb(Count20MHzSubchannels(channelWidth)));
         NS_TEST_ASSERT_MSG_EQ(rxPowerPrimaryChannel20,
                               expectedRxPowerPrimaryChannel20,
                               "Received power in the primary 20 MHz band is not correct");
@@ -660,16 +660,16 @@
     {
     case 20:
     default:
-        txFrequency = 5180;
+        txFrequency = MHz_u{5180};
         break;
     case 40:
-        txFrequency = 5190;
+        txFrequency = MHz_u{5190};
         break;
     case 80:
-        txFrequency = 5210;
+        txFrequency = MHz_u{5210};
         break;
     case 160:
-        txFrequency = 5250;
+        txFrequency = MHz_u{5250};
         break;
     }
     auto txChannelNum = WifiPhyOperatingChannel::FindFirst(0,
@@ -686,16 +686,16 @@
     {
     case 20:
     default:
-        rxFrequency = 5180;
+        rxFrequency = MHz_u{5180};
         break;
     case 40:
-        rxFrequency = 5190;
+        rxFrequency = MHz_u{5190};
         break;
     case 80:
-        rxFrequency = 5210;
+        rxFrequency = MHz_u{5210};
         break;
     case 160:
-        rxFrequency = 5250;
+        rxFrequency = MHz_u{5250};
         break;
     }
     auto rxChannelNum = WifiPhyOperatingChannel::FindFirst(0,
@@ -715,78 +715,78 @@
 void
 SpectrumWifiPhyFilterTest::DoRun()
 {
-    m_txChannelWidth = 20;
-    m_rxChannelWidth = 20;
+    m_txChannelWidth = MHz_u{20};
+    m_rxChannelWidth = MHz_u{20};
     RunOne();
 
-    m_txChannelWidth = 40;
-    m_rxChannelWidth = 40;
+    m_txChannelWidth = MHz_u{40};
+    m_rxChannelWidth = MHz_u{40};
     RunOne();
 
-    m_txChannelWidth = 80;
-    m_rxChannelWidth = 80;
+    m_txChannelWidth = MHz_u{80};
+    m_rxChannelWidth = MHz_u{80};
     RunOne();
 
-    m_txChannelWidth = 160;
-    m_rxChannelWidth = 160;
+    m_txChannelWidth = MHz_u{160};
+    m_rxChannelWidth = MHz_u{160};
     RunOne();
 
-    m_txChannelWidth = 20;
-    m_rxChannelWidth = 40;
+    m_txChannelWidth = MHz_u{20};
+    m_rxChannelWidth = MHz_u{40};
     RunOne();
 
-    m_txChannelWidth = 20;
-    m_rxChannelWidth = 80;
+    m_txChannelWidth = MHz_u{20};
+    m_rxChannelWidth = MHz_u{80};
     RunOne();
 
-    m_txChannelWidth = 40;
-    m_rxChannelWidth = 80;
+    m_txChannelWidth = MHz_u{40};
+    m_rxChannelWidth = MHz_u{80};
     RunOne();
 
-    m_txChannelWidth = 20;
-    m_rxChannelWidth = 160;
+    m_txChannelWidth = MHz_u{20};
+    m_rxChannelWidth = MHz_u{160};
     RunOne();
 
-    m_txChannelWidth = 40;
-    m_rxChannelWidth = 160;
+    m_txChannelWidth = MHz_u{40};
+    m_rxChannelWidth = MHz_u{160};
     RunOne();
 
-    m_txChannelWidth = 80;
-    m_rxChannelWidth = 160;
+    m_txChannelWidth = MHz_u{80};
+    m_rxChannelWidth = MHz_u{160};
     RunOne();
 
-    m_txChannelWidth = 40;
-    m_rxChannelWidth = 20;
+    m_txChannelWidth = MHz_u{40};
+    m_rxChannelWidth = MHz_u{20};
     RunOne();
 
-    m_txChannelWidth = 80;
-    m_rxChannelWidth = 20;
+    m_txChannelWidth = MHz_u{80};
+    m_rxChannelWidth = MHz_u{20};
     RunOne();
 
-    m_txChannelWidth = 80;
-    m_rxChannelWidth = 40;
+    m_txChannelWidth = MHz_u{80};
+    m_rxChannelWidth = MHz_u{40};
     RunOne();
 
-    m_txChannelWidth = 160;
-    m_rxChannelWidth = 20;
+    m_txChannelWidth = MHz_u{160};
+    m_rxChannelWidth = MHz_u{20};
     RunOne();
 
-    m_txChannelWidth = 160;
-    m_rxChannelWidth = 40;
+    m_txChannelWidth = MHz_u{160};
+    m_rxChannelWidth = MHz_u{40};
     RunOne();
 
-    m_txChannelWidth = 160;
-    m_rxChannelWidth = 80;
+    m_txChannelWidth = MHz_u{160};
+    m_rxChannelWidth = MHz_u{80};
     RunOne();
 
     Simulator::Destroy();
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Spectrum Wifi Phy Bands Calculations Test
+ * @brief Spectrum Wifi Phy Bands Calculations Test
  *
  * This test verifies SpectrumWifiPhy::GetBand produces the expected results, for both contiguous
  * (160 MHz) and non-contiguous (80+80MHz) operating channel
@@ -803,10 +803,10 @@
 
     /**
      * Run one function
-     * \param channelNumberPerSegment the channel number for each segment of the operating channel
-     * \param bandWidth the width of the band to test
-     * \param bandIndex the index of the band to test
-     * \param expectedIndices the expected start and stop indices returned by
+     * @param channelNumberPerSegment the channel number for each segment of the operating channel
+     * @param bandWidth the width of the band to test
+     * @param bandIndex the index of the band to test
+     * @param expectedIndices the expected start and stop indices returned by
      * SpectrumWifiPhy::GetBand \param expectedFrequencies the expected start and stop frequencies
      * returned by SpectrumWifiPhy::GetBand
      */
@@ -870,8 +870,8 @@
     for (auto channelNumber : channelNumberPerSegment)
     {
         const auto& channelInfo = WifiPhyOperatingChannel::FindFirst(channelNumber,
-                                                                     0,
-                                                                     0,
+                                                                     MHz_u{0},
+                                                                     MHz_u{0},
                                                                      WIFI_STANDARD_80211ax,
                                                                      WIFI_PHY_BAND_5GHZ);
         channelSegments.emplace_back(channelInfo->number, channelInfo->width, channelInfo->band, 0);
@@ -904,28 +904,28 @@
 SpectrumWifiPhyGetBandTest::DoRun()
 {
     const uint32_t indicesPer20MhzBand = 256; // based on 802.11ax carrier spacing
-    const MHz_u channelWidth = 160;           // we consider the largest channel width
+    const MHz_u channelWidth{160};            // we consider the largest channel width
     const uint8_t channelNumberContiguous160Mhz =
         50; // channel number of the first 160 MHz band in 5 GHz band
     const std::vector<uint8_t> channelNumberPerSegment = {42,
                                                           106}; // channel numbers used for 80+80MHz
     // separation between segment at channel number 42 and segment at channel number 106
-    const MHz_u separationWidth = 240;
+    const MHz_u separationWidth{240};
     for (bool contiguous160Mhz : {true /* 160 MHz */, false /* 80+80MHz */})
     {
-        MHz_u guardWidth = contiguous160Mhz ? channelWidth : (channelWidth / 2);
-        uint32_t guardStopIndice = (indicesPer20MhzBand * (guardWidth / 20)) - 1;
+        const auto guardWidth = contiguous160Mhz ? channelWidth : (channelWidth / 2);
+        uint32_t guardStopIndice = (indicesPer20MhzBand * Count20MHzSubchannels(guardWidth)) - 1;
         std::vector<WifiSpectrumBandIndices> previousExpectedIndices{};
         std::vector<WifiSpectrumBandFrequencies> previousExpectedFrequencies{};
-        for (auto bandWidth : {20, 40, 80, 160})
+        for (auto bandWidth : {MHz_u{20}, MHz_u{40}, MHz_u{80}, MHz_u{160}})
         {
             const uint32_t expectedStartIndice = guardStopIndice + 1;
             const uint32_t expectedStopIndice =
-                expectedStartIndice + (indicesPer20MhzBand * (bandWidth / 20)) - 1;
+                expectedStartIndice + (indicesPer20MhzBand * Count20MHzSubchannels(bandWidth)) - 1;
             std::vector<WifiSpectrumBandIndices> expectedIndices{
                 {expectedStartIndice, expectedStopIndice}};
-            const Hz_u expectedStartFrequency = 5170 * 1e6;
-            const Hz_u expectedStopFrequency = (5170 + bandWidth) * 1e6;
+            const Hz_u expectedStartFrequency = MHzToHz(5170);
+            const Hz_u expectedStopFrequency = MHzToHz(5170 + bandWidth);
             std::vector<WifiSpectrumBandFrequencies> expectedFrequencies{
                 {expectedStartFrequency, expectedStopFrequency}};
             const std::size_t numBands = (channelWidth / bandWidth);
@@ -945,10 +945,12 @@
                 }
                 else if ((i == (numBands / 2)) && !contiguous160Mhz)
                 {
-                    expectedIndices.at(0).first += (indicesPer20MhzBand * (separationWidth / 20));
-                    expectedIndices.at(0).second += (indicesPer20MhzBand * (separationWidth / 20));
-                    expectedFrequencies.at(0).first += (separationWidth * 1e6);
-                    expectedFrequencies.at(0).second += (separationWidth * 1e6);
+                    expectedIndices.at(0).first +=
+                        (indicesPer20MhzBand * Count20MHzSubchannels(separationWidth));
+                    expectedIndices.at(0).second +=
+                        (indicesPer20MhzBand * Count20MHzSubchannels(separationWidth));
+                    expectedFrequencies.at(0).first += MHzToHz(separationWidth);
+                    expectedFrequencies.at(0).second += MHzToHz(separationWidth);
                 }
                 RunOne(contiguous160Mhz ? std::vector<uint8_t>{channelNumberContiguous160Mhz}
                                         : channelNumberPerSegment,
@@ -963,9 +965,10 @@
                 }
                 expectedIndices.at(0).first = expectedIndices.at(0).second + 1;
                 expectedIndices.at(0).second =
-                    expectedIndices.at(0).first + (indicesPer20MhzBand * (bandWidth / 20)) - 1;
-                expectedFrequencies.at(0).first += (bandWidth * 1e6);
-                expectedFrequencies.at(0).second += (bandWidth * 1e6);
+                    expectedIndices.at(0).first +
+                    (indicesPer20MhzBand * Count20MHzSubchannels(bandWidth)) - 1;
+                expectedFrequencies.at(0).first += MHzToHz(bandWidth);
+                expectedFrequencies.at(0).second += MHzToHz(bandWidth);
             }
         }
     }
@@ -974,10 +977,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test tracked bands in interference helper upon channel switching
+ * @brief Test tracked bands in interference helper upon channel switching
  *
  * The test is verifying that the correct bands are tracked by the interference helper upon channel
  * switching. It focuses on 80 and 160 MHz bands while considering 160 MHz operating channels, for
@@ -996,7 +999,7 @@
     /**
      * Switch channel function
      *
-     * \param channelNumberPerSegment the channel number for each segment of the operating channel
+     * @param channelNumberPerSegment the channel number for each segment of the operating channel
      * to switch to
      */
     void SwitchChannel(const std::vector<uint8_t>& channelNumberPerSegment);
@@ -1004,9 +1007,9 @@
     /**
      * Verify the bands tracked by the interference helper
      *
-     * \param expectedTrackedBands the bands that are expected to be tracked by the interference
+     * @param expectedTrackedBands the bands that are expected to be tracked by the interference
      * helper
-     * \param expectedUntrackedBands the bands that are expected to be untracked by the
+     * @param expectedUntrackedBands the bands that are expected to be untracked by the
      * interference helper
      */
     void VerifyTrackedBands(
@@ -1015,7 +1018,7 @@
 
     /**
      * Run one function
-     * \param channelNumberPerSegmentBeforeSwitching the channel number for each segment of the
+     * @param channelNumberPerSegmentBeforeSwitching the channel number for each segment of the
      * operating channel to switch from \param channelNumberPerSegmentAfterSwitching the channel
      * number for each segment of the operating channel to switch to \param expectedTrackedBands the
      * bands that are expected to be tracked by the interference helper \param expectedUntrackedBand
@@ -1076,8 +1079,8 @@
     for (auto channelNumber : channelNumberPerSegment)
     {
         const auto& channelInfo = WifiPhyOperatingChannel::FindFirst(channelNumber,
-                                                                     0,
-                                                                     0,
+                                                                     MHz_u{0},
+                                                                     MHz_u{0},
                                                                      WIFI_STANDARD_80211ax,
                                                                      WIFI_PHY_BAND_5GHZ);
         channelSegments.emplace_back(channelInfo->number, channelInfo->width, channelInfo->band, 0);
@@ -1154,64 +1157,72 @@
     // switch from 160 MHz to 80+80 MHz
     RunOne({50},
            {42, 106},
-           {{{5170 * 1e6, 5250 * 1e6}} /* first 80 MHz segment */,
-            {{5490 * 1e6, 5570 * 1e6}} /* second 80 MHz segment */,
-            {{5170 * 1e6, 5250 * 1e6},
-             {5490 * 1e6, 5570 * 1e6}} /* non-contiguous 160 MHz band made of the two segments */},
-           {{{5170 * 1e6, 5330 * 1e6}} /* full 160 MHz band should have been removed */});
+           {{{MHzToHz(5170), MHzToHz(5250)}} /* first 80 MHz segment */,
+            {{MHzToHz(5490), MHzToHz(5570)}} /* second 80 MHz segment */,
+            {{MHzToHz(5170), MHzToHz(5250)},
+             {MHzToHz(5490),
+              MHzToHz(5570)}} /* non-contiguous 160 MHz band made of the two segments */},
+           {{{MHzToHz(5170), MHzToHz(5330)}} /* full 160 MHz band should have been removed */});
 
     // switch from 80+80 MHz to 160 MHz
-    RunOne({42, 106},
-           {50},
-           {{{5170 * 1e6, 5330 * 1e6}} /* full 160 MHz band */,
-            {{5170 * 1e6, 5250 * 1e6}} /* first 80 MHz segment is part of the 160 MHz channel*/},
-           {{{5490 * 1e6, 5570 * 1e6}} /* second 80 MHz segment should have been removed */,
-            {{5170 * 1e6, 5250 * 1e6},
-             {5490 * 1e6, 5570 * 1e6}} /* non-contiguous 160 MHz band should have been removed */});
+    RunOne(
+        {42, 106},
+        {50},
+        {{{MHzToHz(5170), MHzToHz(5330)}} /* full 160 MHz band */,
+         {{MHzToHz(5170), MHzToHz(5250)}} /* first 80 MHz segment is part of the 160 MHz channel*/},
+        {{{MHzToHz(5490), MHzToHz(5570)}} /* second 80 MHz segment should have been removed */,
+         {{MHzToHz(5170), MHzToHz(5250)},
+          {MHzToHz(5490),
+           MHzToHz(5570)}} /* non-contiguous 160 MHz band should have been removed */});
 
     // switch from 80+80 MHz to 80+80 MHz with segment swap
     RunOne({42, 106},
            {106, 42},
-           {{{5490 * 1e6, 5570 * 1e6}} /* first 80 MHz segment */,
-            {{5490 * 1e6, 5570 * 1e6}} /* second 80 MHz segment */,
-            {{5170 * 1e6, 5250 * 1e6},
-             {5490 * 1e6, 5570 * 1e6}} /* non-contiguous 160 MHz band made of the two segments */},
+           {{{MHzToHz(5490), MHzToHz(5570)}} /* first 80 MHz segment */,
+            {{MHzToHz(5490), MHzToHz(5570)}} /* second 80 MHz segment */,
+            {{MHzToHz(5170), MHzToHz(5250)},
+             {MHzToHz(5490),
+              MHzToHz(5570)}} /* non-contiguous 160 MHz band made of the two segments */},
            {});
 
     // switch from 80+80 MHz to another 80+80 MHz with one common segment
     RunOne({42, 106},
            {106, 138},
-           {{{5490 * 1e6, 5570 * 1e6}} /* first 80 MHz segment */,
-            {{5650 * 1e6, 5730 * 1e6}} /* second 80 MHz segment */,
-            {{5490 * 1e6, 5570 * 1e6},
-             {5650 * 1e6, 5730 * 1e6}} /* non-contiguous 160 MHz band made of the two segments */},
-           {{{5170 * 1e6, 5250 * 1e6}} /* 80 MHz segment at channel 42 should have been removed */,
-            {{5170 * 1e6, 5250 * 1e6},
-             {5490 * 1e6,
-              5570 * 1e6}} /* previous non-contiguous 160 MHz band should have been removed */});
+           {{{MHzToHz(5490), MHzToHz(5570)}} /* first 80 MHz segment */,
+            {{MHzToHz(5650), MHzToHz(5730)}} /* second 80 MHz segment */,
+            {{MHzToHz(5490), MHzToHz(5570)},
+             {MHzToHz(5650),
+              MHzToHz(5730)}} /* non-contiguous 160 MHz band made of the two segments */},
+           {{{MHzToHz(5170),
+              MHzToHz(5250)}} /* 80 MHz segment at channel 42 should have been removed */,
+            {{MHzToHz(5170), MHzToHz(5250)},
+             {MHzToHz(5490),
+              MHzToHz(5570)}} /* previous non-contiguous 160 MHz band should have been removed */});
 
     // switch from 80+80 MHz to another 80+80 MHz with no common segment
-    RunOne(
-        {42, 106},
-        {122, 155},
-        {{{5570 * 1e6, 5650 * 1e6}} /* first 80 MHz segment */,
-         {{5735 * 1e6, 5815 * 1e6}} /* second 80 MHz segment */,
-         {{5570 * 1e6, 5650 * 1e6},
-          {5735 * 1e6, 5815 * 1e6}} /* non-contiguous 160 MHz band made of the two segments */},
-        {{{5170 * 1e6, 5250 * 1e6}} /* previous first 80 MHz segment should have been removed */,
-         {{5490 * 1e6, 5570 * 1e6}} /* previous second 80 MHz segment should have been removed */,
-         {{5170 * 1e6, 5250 * 1e6},
-          {5490 * 1e6,
-           5570 * 1e6}} /* previous non-contiguous 160 MHz band should have been removed */});
+    RunOne({42, 106},
+           {122, 155},
+           {{{MHzToHz(5570), MHzToHz(5650)}} /* first 80 MHz segment */,
+            {{MHzToHz(5735), MHzToHz(5815)}} /* second 80 MHz segment */,
+            {{MHzToHz(5570), MHzToHz(5650)},
+             {MHzToHz(5735),
+              MHzToHz(5815)}} /* non-contiguous 160 MHz band made of the two segments */},
+           {{{MHzToHz(5170),
+              MHzToHz(5250)}} /* previous first 80 MHz segment should have been removed */,
+            {{MHzToHz(5490),
+              MHzToHz(5570)}} /* previous second 80 MHz segment should have been removed */,
+            {{MHzToHz(5170), MHzToHz(5250)},
+             {MHzToHz(5490),
+              MHzToHz(5570)}} /* previous non-contiguous 160 MHz band should have been removed */});
 
     Simulator::Destroy();
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test 80+80MHz transmission
+ * @brief Test 80+80MHz transmission
  *
  * The test verifies that two non-contiguous segments are handled by the spectrum PHY
  * to transmit 160 MHz PPDUs when the operating channel is configured as 80+80MHz.
@@ -1238,11 +1249,11 @@
 
     /**
      * Run one function
-     * \param channelNumbers the channel number for each segment of the operating channel
-     * \param interferenceCenterFrequency the center frequency of the interference signal to
+     * @param channelNumbers the channel number for each segment of the operating channel
+     * @param interferenceCenterFrequency the center frequency of the interference signal to
      * generate
-     * \param interferenceBandWidth the band width of the interference signal to generate
-     * \param expectSuccess flag to indicate whether reception is expected to be successful
+     * @param interferenceBandWidth the band width of the interference signal to generate
+     * @param expectSuccess flag to indicate whether reception is expected to be successful
      */
     void RunOne(const std::vector<uint8_t>& channelNumbers,
                 MHz_u interferenceCenterFrequency,
@@ -1252,7 +1263,7 @@
     /**
      * Switch channel function
      *
-     * \param channelNumbers the channel number for each segment of the operating channel
+     * @param channelNumbers the channel number for each segment of the operating channel
      * to switch to
      */
     void SwitchChannel(const std::vector<uint8_t>& channelNumbers);
@@ -1264,8 +1275,8 @@
 
     /**
      * Generate interference function
-     * \param interferencePsd the PSD of the interference to be generated
-     * \param duration the duration of the interference
+     * @param interferencePsd the PSD of the interference to be generated
+     * @param duration the duration of the interference
      */
     void GenerateInterference(Ptr<SpectrumValue> interferencePsd, Time duration);
 
@@ -1276,26 +1287,26 @@
 
     /**
      * Receive success function for STA
-     * \param psdu the PSDU
-     * \param rxSignalInfo the info on the received signal (\see RxSignalInfo)
-     * \param txVector the transmit vector
-     * \param statusPerMpdu reception status per MPDU
+     * @param psdu the PSDU
+     * @param rxSignalInfo the info on the received signal (\see RxSignalInfo)
+     * @param txVector the transmit vector
+     * @param statusPerMpdu reception status per MPDU
      */
     void RxSuccessSta(Ptr<const WifiPsdu> psdu,
                       RxSignalInfo rxSignalInfo,
-                      WifiTxVector txVector,
-                      std::vector<bool> statusPerMpdu);
+                      const WifiTxVector& txVector,
+                      const std::vector<bool>& statusPerMpdu);
 
     /**
      * Receive failure function for STA
-     * \param psdu the PSDU
+     * @param psdu the PSDU
      */
     void RxFailureSta(Ptr<const WifiPsdu> psdu);
 
     /**
      * Verify results
      *
-     * \param expectSuccess flag to indicate whether reception is expected to be successful
+     * @param expectSuccess flag to indicate whether reception is expected to be successful
      */
     void CheckResults(bool expectSuccess);
 
@@ -1322,8 +1333,8 @@
     for (auto channelNumber : channelNumbers)
     {
         const auto& channelInfo = WifiPhyOperatingChannel::FindFirst(channelNumber,
-                                                                     0,
-                                                                     0,
+                                                                     MHz_u{0},
+                                                                     MHz_u{0},
                                                                      WIFI_STANDARD_80211ax,
                                                                      WIFI_PHY_BAND_5GHZ);
         channelSegments.emplace_back(channelInfo->number, channelInfo->width, channelInfo->band, 0);
@@ -1344,7 +1355,7 @@
                           1,
                           1,
                           0,
-                          160,
+                          MHz_u{160},
                           false,
                           false,
                           false};
@@ -1375,8 +1386,8 @@
 void
 SpectrumWifiPhy80Plus80Test::RxSuccessSta(Ptr<const WifiPsdu> psdu,
                                           RxSignalInfo rxSignalInfo,
-                                          WifiTxVector txVector,
-                                          std::vector<bool> /*statusPerMpdu*/)
+                                          const WifiTxVector& txVector,
+                                          const std::vector<bool>& /*statusPerMpdu*/)
 {
     NS_LOG_FUNCTION(this << *psdu << rxSignalInfo << txVector);
     m_countRxSuccessSta++;
